<template>
	<view class="content-box top ql-editor-box" v-html="contentHtml" />
</template>

<script lang="ts" setup>
	import { ref } from "vue";
	import { getProductInfoApi } from "@/api/home.ts";
	const skLoading = ref(false);

	const contentHtml = ref('');
	const getContent = async () => {
		try {
			const { data } = await getProductInfoApi('Homepage');
			contentHtml.value = data.protocolContent;

		} catch (error) {
			contentHtml.value = '';
		}
	};



	getContent()
</script>

<style lang="scss" scoped>
	.content-box {
		height: 100%;
		overflow: hidden;
		overflow-y: auto;
	}
</style>